Subject: RE: [Mip6] request comments on a new individual draft

From: xiazhongqi <[email-masked]>
Date: Thu, 02 Mar 2006 09:32:13 +0800

Hi, mao,
     Thank you for your comments. 

Q1:  yes, I made a mistake. 

Q2: If we want to hide binding information from cn, we have to add a 
      new logical entity like ROA. The ROA saves and mantains the binding
informationl.

Q3: I am not sure what's your meaning. MN is unware of ROA. After
authentication, mn
      acts as described in RFC3775. ROA runs like a NAT device. It has to
check most 
      of traffic packet.

Q4:MN is unware of ROA. Actually, when MN wants protect its location
privacy, it has
      to authenticate any communtication peer and makes sure that the peer
does't leak
      its location information. If there is no ROA, MN authenticates CN; If
there is ROA, MN 
     authenticates ROA.

Q5: If ROA wants to serve as agent for CN, it has to reach a contrant with
CN.

Q6: Yes. Under general situations,  home network has no ability to
authenticate.
      But, if home network and foreign network are operated by the same
operator or 
      there is a contract between them, then home network has this ability. 

Q7: why?

> -----Original Message-----
> From: mao shanxiang [mailto:[email-masked]] 
> Sent: Wednesday, March 01, 2006 5:21 PM
> To: xiazhongqi
> Cc: [email-masked]
> Subject: Re: [Mip6] request comments on a new individual draft
> 
> 
> hi xia,
> 
> some comments below, pls refer :
> 1,  "This Internet-Draft will expire on Fail 24, 0000." 
> the info is not filled correctly.
> 
> 2, "2.1. Consideration for Route Optimization Agent (ROA) ", 
> why should add one extra entity. the CN should not know the 
> mn is moved or not. you can imagine what kind of device can 
> be CN, is it possible to give one new entity or device if you 
> want to hide the binding info from cn. 
> 
> 3,"In Fig1, the correspondent node accesses Internet through 
> the route 
>    optimization agent. When MN starts the RRP and registers 
> itself with 
>    CN, ROA intercepts signaling messages from MN to CN and processes 
>    them on behalf of correspondent node. The final processing 
> results, 
>    including the binding relation information between HoA and 
> CoA of MN, 
>    will be maintained on ROA. "
> how to know should start to use ROA?
> how to find ROA and trigger ROA to start to work.?  is it ROA 
> will check every packet?
> 
> 4, "The mobile node has to authenticate ROA before it can 
> start Care of 
>    Test procedure and register its CoA with the correspondent node 
>    (actually with ROA, but the mobile node is not aware of 
> this; in the 
>    following text, we will only refer to ROA and will not mention 
>    correspondent node)."
> 
> this activity will impact the MN process and behavior. how 
> the MN knows the ROA?
> 
> 5,  how the MN knows there is ROA ? how the ROA know it shoud 
> work for which CN?
> 
> 6, "Therefore, the network element (i.e. Home Agent) has the 
>    ability to authenticate ROA.'
> why ? the CN may be in another network, not in home network
> 
> 7, "mobile node has to decide the authentication method and 
> result alone." seems not standard. and the way to describe it 
> is not correct.
> 
> 
> regards,
> Emily
> 
> ----- Original Message ----- 
> From: "xiazhongqi" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, February 28, 2006 2:52 PM
> Subject: [Mip6] request comments on a new individual draft
> 
> 
> > Hi, all members of MIP6,
> >      I have submitted a new individual draft. 
> >      In this document, we discuss the problem about 
> location privacy of 
> >   CoA in Mobile IPv6. And some possible policies and solutions are 
> >   discussed in order to protect location privacy of CoA in route 
> >   optimization mode.
> >      Here, I would like everybody to give your comments on 
> this draft. 
> > Thank you, everybody.
> > 
> >   The URL for the draft is 
> > 
> http://www.ietf.org/internet-drafts/draft-xia-mip6-coa-privacy-conside
> > ration
> > -00.txt
> > 
> > 
> > _______________________________________________
> > Mip6 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mip6
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6